interface useLocalStorageStateOptions<T> {
    initialState?: T;
    sync?: boolean;
}
/**
 * Hook to create reactive state variables on `localStorage`.
 *
 * @param key key for localStorage
 * @param opts Options object
 * @returns a pair of current state and `setState` method to update the state.
 */
declare function useLocalStorageState<T>(key: string, opts?: useLocalStorageStateOptions<T>): readonly [T, (newVal: T | ((prev: T) => T)) => void];
export default useLocalStorageState;
